Subject: bug#935 closed by Sven Joachim <[email-masked]> (Re: bug#935: 23.0.60; gnus-mime-view-part-as-charset displays non-ASCII characters as octals)

From: [email-masked] (Emacs bug Tracking System)

This is an automatic notification regarding your bug report
which was filed against the emacs package:

#935: 23.0.60; gnus-mime-view-part-as-charset displays non-ASCII characters as octals

It has been closed by Sven Joachim <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Sven Joachim <[email-masked]> by
replying to this email.

-- 
935: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=935
Emacs Bug Tracking System
Contact [email-masked] with problems
>From [email-masked] Sun Sep 14 09:48:24 2008
From: Sven Joachim <[email-masked]>
To: Katsumi Yamaoka <[email-masked]>
Cc: Daiki Ueno <[email-masked]>, [email-masked],
        [email-masked]
Subject: Re: bug#935: 23.0.60; gnus-mime-view-part-as-charset displays non-ASCII characters as octals
Mail-Followup-To: Sven Joachim <[email-masked]>, Katsumi Yamaoka <[email-masked]>, Daiki Ueno <[email-masked]>,  [email-masked],  [email-masked]
Date: Sun, 14 Sep 2008 18:48:06 +0200

Sorry for not following up earlier, I can confirm that the problem is
fixed, hence I'm closing the bug now.

Thank you,
          Sven

>From [email-masked] Mon Sep  8 13:54:38 2008
From: Sven Joachim <[email-masked]>
To: [email-masked]
Subject: 23.0.60; gnus-mime-view-part-as-charset displays non-ASCII characters as octals
Date: Mon, 08 Sep 2008 22:54:18 +0200

I have a problem with the gnus-mime-view-part-as-charset command that
only shows up in Emacs 23, not sure whether this is a bug in Emacs or in
Gnus.

If an article has attachment with a wrongly specified charset, Gnus can
work around that with the gnus-mime-view-part-as-charset command.  For
instance, <news:20080908175652.GF4996@firemoth> on
gmane.linux.debian.internationalization.german aka
[email-masked] is such an article, it has an
attachment that is incorrectly described as "Content-Type: text/x-diff;
charset=utf-8" while it's actually encoded as iso-latin-1.  Now when I
press C RET iso-latin-1, Emacs displays the German umlauts as octal
sequences.  In Emacs 22.3, they are displayed correctly (Gnus version is
the same, current No Gnus CVS).

In GNU Emacs 23.0.60.4 (i686-pc-linux-gnu, GTK+ Version 2.12.11)
 of 2008-09-08 on debian
Windowing system distributor `The X.Org Foundation', version 11.0.10402000
Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: C
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: de_DE.UTF-8
  value of $XMODIFIERS: nil
  locale-coding-system: utf-8-unix
  default-enable-multibyte-characters: t

Major mode: Summary

Minor modes in effect:
  diff-auto-refine-mode: t
  gnus-mailing-list-mode: t
  display-time-mode: t
  auto-image-file-mode: t
  show-paren-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  global-auto-composition-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  temp-buffer-resize-mode: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
C-x r b . e m <tab> <return> <C-home> <down> <down> 
<down> <down> <down> <down> <down> <down> <down> <down> 
<down> <down> <down> <down> <down> <down> <down> <down> 
C-e C-x C-e M-x g n u s <return> <down> L <next> <down> 
<down> <down> <down> <down> <down> <down> <down> <down> 
<down> <down> <down> <down> <down> <down> <down> <down> 
<down> <down> <down> <down> <down> <down> <down> <down> 
<down> <down> <down> <down> <down> <down> <down> <down> 
<down> <down> <down> <down> <down> <down> <down> <down> 
<down> <down> <down> <down> <down> <down> <down> <up> 
<up> <up> <up> <up> <up> <up> <return> 2 <return> <down> 
SPC SPC C-x o <down> <down> <down> <down> <down> <down> 
<down> <down> <down> <down> <down> <down> <down> <down> 
<down> <down> <down> <down> <down> C i s o <tab> l 
<tab> 1 <return> C-h k C C-x o <tab> <return> <next> 
<prior> <up> <up> <up> <up> <up> <up> <up> <up> <up> 
<up> <up> <up> <up> <up> <up> <up> <up> <up> <up> <up> 
<up> <up> <up> <up> <right> <right> <right> <right> 
<right> <right> <right> <right> <right> <right> <left> 
<left> <left> C-SPC M-f M-f M-f M-f M-f M-f M-w <next> 
q C-x 1 <f7> <down> <down> <down> <return> SPC <backspace> 
M-x r e p o r t - e m <tab> <return>

Recent messages:
Fetching headers for gmane.linux.debian.internationalization.german...done
Scoring...done
Generating summary...done
No more unread articles
Type C-x 4 o RET to restore the other window, C-M-v to scroll help.
mouse-2, RET: find function's definition
Note: file is write protected
Mark set
Buffer is read-only: #<buffer gnus-art.el>
Commands: d, s, x, u; f, o, 1, 2, m, v; ~, %; q to quit; ? for help.